/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * ソースコード自動生成ライブラリ blancoCg のPOJOクラスです。
 */
package blanco.cg.valueobject;

/**
 * 言語用のドキュメントのタグを表現するためのバリューオブジェクト。<br>
 * Java言語の場合には JavaDocのタグを表します。
 */
public class BlancoCgLangDocTag {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタグの名前です。author, seeなどが入ります。
     */
    private String fName;

    /**
     * フィールド [key]
     *
     * 項目の型 [java.lang.String]<br>
     * タグに付けられるキーを指定します。必要の無い場合には無指定とします。
     */
    private String fKey;

    /**
     * フィールド [value]
     *
     * 項目の型 [java.lang.String]<br>
     * このタグの値です。
     */
    private String fValue;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタグの名前です。author, seeなどが入ります。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この言語ドキュメントのタグの名前です。author, seeなどが入ります。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [key]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * タグに付けられるキーを指定します。必要の無い場合には無指定とします。
     *
     * @param argKey フィールド[key]に格納したい値
     */
    public void setKey(final String argKey) {
        fKey = argKey;
    }

    /**
     * フィールド[key]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * タグに付けられるキーを指定します。必要の無い場合には無指定とします。
     *
     * @return フィールド[key]に格納されている値
     */
    public String getKey() {
        return fKey;
    }

    /**
     * フィールド [value]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このタグの値です。
     *
     * @param argValue フィールド[value]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[value]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * このタグの値です。
     *
     * @return フィールド[value]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgLangDocTag[");
        buf.append("name=" + fName);
        buf.append(",key=" + fKey);
        buf.append(",value=" + fValue);
        buf.append("]");
        return buf.toString();
    }
}
